# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_xblautobitlocker`](#dsc_xblautobitlocker): The DSC xBLAutoBitlocker resource type. Automatically generated from version 1.4.0.0
* [`dsc_xblbitlocker`](#dsc_xblbitlocker): The DSC xBLBitlocker resource type. Automatically generated from version 1.4.0.0
* [`dsc_xbltpm`](#dsc_xbltpm): The DSC xBLTpm resource type. Automatically generated from version 1.4.0.0

## Resource types

### <a name="dsc_xblautobitlocker"></a>`dsc_xblautobitlocker`

The DSC xBLAutoBitlocker resource type.
Automatically generated from version 1.4.0.0

#### Properties

The following properties are available in the `dsc_xblautobitlocker` type.

##### `dsc_adaccountorgroup`

Data type: `Optional[String]`

 

##### `dsc_adaccountorgroupprotector`

Data type: `Optional[Boolean]`

 

##### `dsc_autounlock`

Data type: `Optional[Boolean]`

Whether volumes should be enabled for auto unlock using Enable-BitlockerAutoUnlock

##### `dsc_encryptionmethod`

Data type: `Optional[Enum['Aes128', 'Aes256']]`

 

##### `dsc_hardwareencryption`

Data type: `Optional[Boolean]`

 

##### `dsc_mindiskcapacitygb`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

If specified, only disks this size or greater will auto apply Bitlocker

##### `dsc_passwordprotector`

Data type: `Optional[Boolean]`

 

##### `dsc_primaryprotector`

Data type: `Enum['PasswordProtector', 'RecoveryPasswordProtector', 'StartupKeyProtector', 'TpmProtector']`

 

##### `dsc_recoverykeypath`

Data type: `Optional[String]`

 

##### `dsc_recoverykeyprotector`

Data type: `Optional[Boolean]`

 

##### `dsc_recoverypasswordprotector`

Data type: `Optional[Boolean]`

 

##### `dsc_service`

Data type: `Optional[Boolean]`

 

##### `dsc_skiphardwaretest`

Data type: `Optional[Boolean]`

 

##### `dsc_startupkeypath`

Data type: `Optional[String]`

 

##### `dsc_startupkeyprotector`

Data type: `Optional[Boolean]`

 

##### `dsc_tpmprotector`

Data type: `Optional[Boolean]`

 

##### `dsc_usedspaceonly`

Data type: `Optional[Boolean]`

 

#### Parameters

The following parameters are available in the `dsc_xblautobitlocker` type.

* [`dsc_drivetype`](#dsc_drivetype)
* [`dsc_password`](#dsc_password)
* [`dsc_pin`](#dsc_pin)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_drivetype"></a>`dsc_drivetype`

namevar

Data type: `Enum['Fixed', 'Removable']`

The type of volume, as reported by Get-Volume, to auto apply Bitlocker to

##### <a name="dsc_password"></a>`dsc_password`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

NOTE: Username doesn't matter for the credential. Just put the Password in the Password field

##### <a name="dsc_pin"></a>`dsc_pin`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

NOTE: Username doesn't matter for the credential. Just put the Pin in the Password field

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_xblbitlocker"></a>`dsc_xblbitlocker`

The DSC xBLBitlocker resource type.
Automatically generated from version 1.4.0.0

#### Properties

The following properties are available in the `dsc_xblbitlocker` type.

##### `dsc_adaccountorgroup`

Data type: `Optional[String]`

 

##### `dsc_adaccountorgroupprotector`

Data type: `Optional[Boolean]`

 

##### `dsc_allowimmediatereboot`

Data type: `Optional[Boolean]`

Whether the computer can be immediately rebooted after enabling Bitlocker on an OS drive. Defaults to false.

##### `dsc_autounlock`

Data type: `Optional[Boolean]`

Whether volumes should be enabled for auto unlock using Enable-BitlockerAutoUnlock

##### `dsc_encryptionmethod`

Data type: `Optional[Enum['Aes128', 'Aes256']]`

 

##### `dsc_hardwareencryption`

Data type: `Optional[Boolean]`

 

##### `dsc_passwordprotector`

Data type: `Optional[Boolean]`

 

##### `dsc_primaryprotector`

Data type: `Enum['PasswordProtector', 'RecoveryPasswordProtector', 'StartupKeyProtector', 'TpmProtector']`

The type of key protector that will be used as the primary key protector

##### `dsc_recoverykeypath`

Data type: `Optional[String]`

 

##### `dsc_recoverykeyprotector`

Data type: `Optional[Boolean]`

 

##### `dsc_recoverypasswordprotector`

Data type: `Optional[Boolean]`

 

##### `dsc_service`

Data type: `Optional[Boolean]`

 

##### `dsc_skiphardwaretest`

Data type: `Optional[Boolean]`

 

##### `dsc_startupkeypath`

Data type: `Optional[String]`

 

##### `dsc_startupkeyprotector`

Data type: `Optional[Boolean]`

 

##### `dsc_tpmprotector`

Data type: `Optional[Boolean]`

 

##### `dsc_usedspaceonly`

Data type: `Optional[Boolean]`

 

#### Parameters

The following parameters are available in the `dsc_xblbitlocker` type.

* [`dsc_mountpoint`](#dsc_mountpoint)
* [`dsc_password`](#dsc_password)
* [`dsc_pin`](#dsc_pin)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_mountpoint"></a>`dsc_mountpoint`

namevar

Data type: `String`

The MountPoint name as reported in Get-BitLockerVolume

##### <a name="dsc_password"></a>`dsc_password`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

NOTE: Username doesn't matter for the credential. Just put the Password in the Password field

##### <a name="dsc_pin"></a>`dsc_pin`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

NOTE: Username doesn't matter for the credential. Just put the Pin in the Password field

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_xbltpm"></a>`dsc_xbltpm`

The DSC xBLTpm resource type.
Automatically generated from version 1.4.0.0

#### Properties

The following properties are available in the `dsc_xbltpm` type.

##### `dsc_allowclear`

Data type: `Optional[Boolean]`

Indicates that the provisioning process clears the TPM, if necessary, to move the TPM closer to complying with Windows Server 2012 standards.

##### `dsc_allowimmediatereboot`

Data type: `Optional[Boolean]`

Whether the computer can rebooted immediately after initializing the TPM.

##### `dsc_allowphysicalpresence`

Data type: `Optional[Boolean]`

Indicates that the provisioning process may send physical presence commands that require a user to be present in order to continue.

#### Parameters

The following parameters are available in the `dsc_xbltpm` type.

* [`dsc_identity`](#dsc_identity)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_identity"></a>`dsc_identity`

namevar

Data type: `String`

A required string value which is used as a Key for the resource. The value does not matter, as long as its not empty.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

